Subject: RE: [XCON] data-model-03 comments - non-runtime data

From: "Braudes, Robert \(Bob\)" <[email-masked]>
Date: Thu, 25 Jan 2007 10:10:39 -0500

Hi Camarillo and Roni,

	Thanks for your comments.  I apologize for missing the iCal
reference in Section 3.3.1, and was thinking that this was only the time
of the current instance rather than for a conference series.  My larger
concerns are how to build an end-to-end conferencing system with this
data model.  For example, how are the blueprints available on a
conference server accessed or modified?  While there is a reference to
CDRs in section 3.3, <conference-description, it is mentioned that the
conference control protocol is used to access CDRs, but I'm not sure how
this is accomplished if there are no CDRs in the data model.  Similarly,
usage data is often required by our Customers, but I don't see where
this is included in the data model.  We could have a separate extension
to this data model, and that was actually my first thought, but it was
suggested that this should be included in the base model.  I am very
willing to write up a proposed extension if this is the direction that
the Working Group would like to take.

Thanks,

Bob

-----Original Message-----
From: Even, Roni [mailto:[email-masked]] 
Sent: Thursday, January 25, 2007 1:48 AM
To: Gonzalo Camarillo; Braudes, Robert (Bob)
Cc: XCON-IETF
Subject: RE: [XCON] data-model-03 comments - non-runtime data

Hi,
I think that some of the items are covered. Also note that the data
model is inline with the framework draft and the scenarios (RFC 4597)
For scheduling we have iCAL component.
New users for the conference can be defined by adding them to the list
of participants.
The conference object exists before the conference starts, during the
conference tile and can be saved by the conferencing server as part of a
CDR.

I am not sure what you mean by missing elements

Roni Even 

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Thursday, January 25, 2007 8:06 AM
> To: Braudes, Robert (Bob)
> Cc: XCON-IETF
> Subject: Re: [XCON] data-model-03 comments - non-runtime data
> 
> Hi Bob,
> 
> the data model will contain the elements needed by most basic 
> conferences. That is, the data model intends to be the maximum common 
> denominator of all conferences, plus maybe a few additions of elements

> used by many conferences (but not necessarily by all).
> 
> Therefore, what we need to discuss is whether the stuff you have in 
> mind belongs to the data model itself or to an extension.
> 
> Cheers,
> 
> Gonzalo
> 
> 
> Braudes, Robert (Bob) wrote:
> > When reviewing the draft, I have a concern that the current data 
> > model is focused on the runtime aspects of conferencing, and doesn't

> > include data needed for provisioning new users, accessing 
> > CDRs/IPDRs, scheduling one-time and recurring conferences, managing 
> > blueprints, or other pre- and post-conference activities.  Before 
> > making suggested changes to the document, I would like to hear from 
> > others as I am anticipating proposing a fairly large number of
additions to the model.
> >
> > Thanks,
> >
> > Bob
> >
> > Bob Braudes | Consulting Member of the Technical Staff | 
> > Conferencing and Collaboration | Avaya | 150 Apollo Drive | 
> > Chelmsford, MA 01824 | W: +1 978 677 5031 M:
> > +1 978 973 5199 | [email-masked]
> >
> >
> >
> > --------------------------------------------------------------------
> > ----
> >
> > _______________________________________________
> > XCON mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/xcon
> 
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon

---

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 26 Jan 2007 09:22:35 +0200

Hi,

I guess we could define all the CDR-related elements in an extension, as 
opposed to the base data model.

Regarding usage data, could you provide us with a couple of examples of 
the elements you would like to define so that we can discuss whether 
they belong to the based data model or to an extension?

Thanks,

Gonzalo